
<div class="form-row border-bottom-secondary mb-2">
  <div class="form-group col-12">
    <h5 class="card-title mb-0 text-gray-800"><span class="fas fa-info mr-2"></span><span>Documentos cargados</span></h5>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12 col-lg-3">
    <div class="ControlInput">
      <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-address-card"></i></span></div>
      <select class="ControlInput--Select" [(ngModel)]="tTipoDocumentoActual" (change)="CambiarTipoDocumento()" size-select="sm">
        <option *ngFor="let tTipofor of tTiposDocumentos" [ngValue]="tTipofor">{{tTipofor.Codtipo}}</option>
      </select>
    </div>
  </div>
  <div class="form-group col-12 col-lg-4">
    <input class="form-control form-control-sm" type="text" placeholder="Documento" name="Documento" [(ngModel)]="tClienteDocumentoNuevo.Documento" id="txtDocumento"/>
  </div>
  <div class="form-group col-12 col-lg-4 custom-file">
    <input class="custom-file-input custom-file-input-sm" #flArchivo="" type="file" accept=".jpg" [disabled]="BloquearImagen()" (change)="tManejarImagen.Cargar_Archivo($event)" id="flArchivo"/>
    <label class="custom-file-label" for="flArchivo">Seleccionar archivo</label>
  </div>
  <div class="form-group col-12 col-lg-1">
    <button class="btn btn-outline-success" name="Agregar" title="Agregar" (click)="CargarDocumento()"><i class="fas fa-plus"></i></button>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12 col-lg-8">
    <div class="row pb-2" *ngFor="let tDocumentoFor of tCliente.LDocumentos | slice: (tPaginaDocumento-1) * tTamanoPagDocumento : (tPaginaDocumento-1) * tTamanoPagDocumento + tTamanoPagDocumento ; let jv = index">
      <div class="col-12">
        <div class="card border-left-secondary" (mouseover)="SeleccionarDocumento(tDocumentoFor)">
          <div class="card-body">
            <div class="row no-gutters align-items-center">
              <div class="col-auto text-center">
                <ng-container *ngIf="tDocumentoFor.Url === ''">
                  <div class="fas fa-passport fa-2x text-gray-300"></div>
                </ng-container>
                <ng-container *ngIf="tDocumentoFor.Url !== ''"><img class="imagenDocumento" [src]="tDocumentoFor.Url"/></ng-container>
                <div class="custom-control custom-switch pt-2">
                  <input class="custom-control-input" type="radio" name="rbPrincipal" id="chkPrinc{{tDocumentoFor.Tipodocumento}}{{tDocumentoFor.Documento}}" ng-true-value="1" ng-false-value="0" [checked]="tDocumentoFor.Principal" (change)="DocumentoPrincipal(tDocumentoFor)"/>
                  <label class="custom-control-label" for="chkPrinc{{tDocumentoFor.Tipodocumento}}{{tDocumentoFor.Documento}}">Principal</label>
                </div>
              </div>
              <div class="col ml-4">
                <div class="h6 font-weight-bold text-primary mb-1">{{ tDocumentoFor.Tipodocumento }}</div>
                <div class="h6 text-primary mb-0 text-gray-800">{{ tDocumentoFor.Documento }}</div>
              </div>
              <div class="col-auto">
                <button class="btn btn-outline-danger" type="button" (click)="EliminarDocumento(tDocumentoFor, jv)"><span class="fas fa-trash"></span></button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <ngb-pagination class="d-flex justify-content-center" [collectionSize]="tCliente.LDocumentos.length" [(page)]="tPaginaDocumento" aria-label="Default pagination" [pageSize]="tTamanoPagDocumento"></ngb-pagination>
      </div>
    </div>
  </div>
  <div class="form-group col-12 col-lg-4">
    <ng-container *ngIf="tClienteDocumentoActual.Url === ''"><img class="img-fluid text-center" src="assets/Documentos.svg"/></ng-container>
    <ng-container *ngIf="tClienteDocumentoActual.Url !== ''"><img class="img-fluid text-center" [src]="tClienteDocumentoActual.Url"/></ng-container>
  </div>
</div>